Semidefinite Blocks (Basics)

Routines that create the SDPCone object, set the data, and get the solution for problems.

#include dsdp5.h

In DSDP Standard Form, a semidefinite program is given by the pair of problems

where the data and are symmetric matrices of the same dimension and the inner product of two matrices and is defined by .

Blocks are labelled from 0 to nblocks, where nblocks is the total number of blocks in the SDPCone object.

Variables y are numbered 1 through m. Variable 0 designates the C matrices, which are also denoted .

By default, this cone represents symmetric matrices in packed symmetric format. This format uses an array of length and orders the the elements of the matrix as follows:

Return values

  0 | if successful